Updates the db report with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "abb56eaa-83b9-4b04-876b-b622f0b70ab9",
"db_report_type_id": "dc21ecfc-8e46-4153-9627-510114b9b7a1",
"user_id": "1c3f1adb-3b3f-4451-bfae-56713090be85",
"company_id": "2cceab56-585e-4302-b27c-2aac1cc13406",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "fed0f76c-5e0c-475b-b5b3-907f02dde567",
"id_in_table": "688e1063-63b1-41e0-996b-2b89ed83318f",
"date_last_update": "2026-06-15T07:55:11.3050975+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-06-15T07:55:11.3050975+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.